# frozen_string_literal: true

module Crunchbase
  module Model
    autoload :AcquiredBy,                   'crunchbase/model/acquired_by'
    autoload :Acquiree,                     'crunchbase/model/acquiree'
    autoload :Acquirer,                     'crunchbase/model/acquirer'
    autoload :Acquisition,                  'crunchbase/model/acquisition'
    autoload :Address,                      'crunchbase/model/address'
    autoload :AdvisoryRole,                 'crunchbase/model/advisory_role'
    autoload :BatchSearch,                  'crunchbase/model/batch_search'
    autoload :BoardMembersAndAdvisor,       'crunchbase/model/board_members_and_advisor'
    autoload :Category,                     'crunchbase/model/category'
    autoload :Competitor,                   'crunchbase/model/competitor'
    autoload :FeaturedTeam,                 'crunchbase/model/featured_team'
    autoload :CurrentTeam,                  'crunchbase/model/current_team'
    autoload :Customer,                     'crunchbase/model/customer'
    autoload :Degree,                       'crunchbase/model/degree'
    autoload :Error,                        'crunchbase/model/error'
    autoload :Entity,                       'crunchbase/model/entity'
    autoload :FoundedCompany,               'crunchbase/model/founded_company'
    autoload :Founder,                      'crunchbase/model/founder'
    autoload :Fund,                         'crunchbase/model/fund'
    autoload :FundRaise,                    'crunchbase/model/fund_raise'
    autoload :FundingRound,                 'crunchbase/model/funding_round'
    autoload :Headquarter,                  'crunchbase/model/headquarter'
    autoload :Image,                        'crunchbase/model/image'
    autoload :Investment,                   'crunchbase/model/investment'
    autoload :Investor,                     'crunchbase/model/investor'
    autoload :Ipo,                          'crunchbase/model/ipo'
    autoload :Job,                          'crunchbase/model/job'
    autoload :Location,                     'crunchbase/model/location'
    autoload :Member,                       'crunchbase/model/member'
    autoload :Membership,                   'crunchbase/model/membership'
    autoload :New,                          'crunchbase/model/new'
    autoload :Office,                       'crunchbase/model/office'
    autoload :Organization,                 'crunchbase/model/organization'
    autoload :OrganizationSummary,          'crunchbase/model/organization_summary'
    autoload :OwnedBy,                      'crunchbase/model/owned_by'
    autoload :PastTeam,                     'crunchbase/model/past_team'
    autoload :Person,                       'crunchbase/model/person'
    autoload :PersonSummary,                'crunchbase/model/person_summary'
    autoload :PrimaryAffiliation,           'crunchbase/model/primary_affiliation'
    autoload :PrimaryImage,                 'crunchbase/model/primary_image'
    autoload :PrimaryLocation,              'crunchbase/model/primary_location'
    autoload :Product,                      'crunchbase/model/product'
    autoload :ProductSummary,               'crunchbase/model/product_summary'
    autoload :School,                       'crunchbase/model/school'
    autoload :Search,                       'crunchbase/model/search'
    autoload :SearchResult,                 'crunchbase/model/search_result'
    autoload :SimpleOrganization,           'crunchbase/model/simple_organization'
    autoload :SubOrganization,              'crunchbase/model/sub_organization'
    autoload :Video,                        'crunchbase/model/video'
    autoload :Website,                      'crunchbase/model/website'
  end
end
